Subject: Re: [dispatch] Proposal to form Internet Wideband Audio Codec WG

From: "eburger" <[email-masked]>
Date: Tue, 2 Jun 2009 00:19:38 +0000

I, of course, would never elucidate on the existence or validity of any given patent in an open forum ;-)

Get a real lawyer to point at whatever ails you. 

Remember, a novel use for something old can be novel. Another expired one is XOR (probably ancient Greeks) as prior art to the Autodesk "see your cursor over the dark spots on the display", a.k.a. XOR patent. 
------Original Message------
From: Cullen Jennings
To: Eric Burger
Cc: Henry Sinnreich
Cc: [email-masked]
Subject: Re: [dispatch] Proposal to form Internet Wideband Audio Codec WG
Sent: Jun 1, 2009 8:12 PM

On Jun 1, 2009, at 4:02 PM, Eric Burger wrote:

> I again have to point out, as I did with iLBC, that just because  
> something is Open Source and submitted Without IPR and, as proposed  
> here, done in a non-IPR regime, does NOT necessarily mean the result  
> is without encumbrances.
>
> Since I like to keep people away from trouble, I won't quote  
> existing IPR. Let's look at some expired IPR instead.
>
> If your proposed codec used LPC, it would violate a Philips patent.  
> For that matter, it would step on a handful of TI patents.

That's an interesting assertion given LPC was published in the late  
60's and research goes back earlier than that. Would you like to  
comment on "valid patents" :-)

--
Eric Burger

Sent from my mobile device; sorry if terse. All mobile users need lemonade.  See <http://www.standardstrack.com/ietf/lemonade> for more information.

---

From: "Slava Borilin" <[email-masked]>
Date: Tue, 2 Jun 2009 19:07:28 +0400

Dear Gonzalo,
 
by "to convince them may be to have IETF people with knowledge in this
area volunteer to
work on this and review the results." Gonzalo means find IETF voluntiers
to review the idea of the WG?"

you mean to find the IETF people who will vounteers to review the idea
of such Wideband WG?
 
regards,
Slava Borilin
 
------ Forwarded Message
From: Gonzalo Camarillo <[email-masked]>
Date: Mon, 1 Jun 2009 21:58:34 -0700
To: Adobe Systems <[email-masked]>
Cc: Roni Even <[email-masked]>, Jason Fischl
<[email-masked]>, Mary Barnes <[email-masked]>,
"Peterson, Jon" <[email-masked]>, Cullen Jennings
<[email-masked]>
Subject: Re: [dispatch] Proposal to form Internet Wideband Audio Codec
WG

Hi Henry,

given that some people on the list think that the IETF does not have
that type of expertise, we need to have those list discussions so that
the WG reaches consensus (one way or the other). It seems that when iLBC
was developed, it was difficult to find IETF people to review it. That
is probably why some people are hesitant about this. A way to convince
them may be to have IETF people with knowledge in this area volunteer to
work on this and review the results.

Thanks,

Gonzalo

Henry Sinnreich wrote:
> (list deleted)
>
> Gonzalo,
>
>>whether or not the IETF in general and RAI in particular have the
> expertise to
>>do this or at least review it when it is done. Comments?
>
> The folks from Skype driving this proposal have without any doubt the
> best qualifications for building voice codecs, just as have many other
> IETF AVT contributors, such as for the iLBC, SPEEX, IP-MR and other
codecs.
>
> The pushback for the proposal for a WG for an Internet Audio Codec, is
> quite amazing, especially the argument on available expertise.
> (You certainly understand my arguments why the better expertise for an
> _Internet_ codec is just in the IETF, and certainly not in the ITU-T,
> ETSI, OMA, etc.).
>
> I don't plan therefore to participate any more in this discussion.
>
> Henry
>
>
> On 5/30/09 1:17 AM, "Gonzalo Camarillo"
<[email-masked]>
> wrote:
>
>     Hi,
>
>     I think Roni touches upon an important point here. The first
question we
>     need to answer (not only for this proposal; for any proposal) is
whether
>     or not the IETF in general and RAI in particular have the
expertise to
>     do this or at least review it when it is done. Comments?
>
>     Cheers,
>
>     Gonzalo
>
>     Roni Even wrote:
>     >  Hi,
>     >  Like you mention other SDOs like ITU-T are doing just that.
They
>     have the
>     >  expertise to specify, and evaluate the result. These SDOs can
receive
>     >  requirements and select a proper codec based on the
requirements.
>     >
>     >
>     >  As for the other reasons:
>     >
>     >  1. Defining a codec in the IETF or even in MPEG / ITU-T does
not
>     make it a
>     >  mandatory part of a system solution, this is done by other
>     standard bodies
>     >  like 3GPP, ETSI.
>     >
>     >  2. The IETF, similar to other standard bodies is not rubber
stamping a
>     >  specific solution, so you will most probably see in the final
>     result some
>     >  technology that carry IPR.
>     >
>     >  3. If this group will be established, you will probably see
here
>     the audio
>     >  experts now working in ITU-T arguing the same issues since they
>     are the
>     >  expertise you need and they work for the same companies that
are
>     already
>     >  members of IETF.
>     >
>     >  I think that if you have a specific codec in mind you  can make
it
>     publicly
>     >  available maybe with quality results and standardized in AVT a
payload
>     >  specification.
>     >
>     >  BTW: The ITU is keeping a list of codecs (Not only ITU-T ones)
in
>     a table
>     >  that describes their features.
>     >
>     >  Regards
>     >  Roni Even
>     >
>     >  -----Original Message-----
>     >  From: [email-masked]
[mailto:[email-masked]]
>     On Behalf
>     >  Of Jason Fischl
>     >  Sent: Wednesday, May 27, 2009 2:18 AM
>     >  To: [email-masked]
>     >  Subject: [dispatch] Proposal to form Internet Wideband Audio
Codec WG
>     >
>     >  All,
>     >
>     >  I would like to request agenda time inside the DISPATCH meeting
to
>     propose
>     >  the formation of a new working group to define a Proposed
Standard
>     wideband
>     >  audio codec.
>     >
>     >  The text of the proposal is below. Comments, questions, and
>     suggestions
>     >  welcomed.
>     >
>     >  Regards,
>     >  Jason
>     >
>     >
>     >  Internet Wideband Audio Codec (IWAC)
>     >  Mailing Lists: TBD
>     >  Chairs: TBD
>     >  Area Directorate: Real Time Applications (RAI)
>     >
>     >  Purpose:
>     >
>     >  This new working group would be chartered with the purpose of
>     collecting
>     >  expertise within the IETF in order to review the design of
audio
>     codecs
>     >  specifically for use with the Internet. Unlike other SDOs,
these
>     codecs
>     >  would be optimized for use on the Internet, and as much as
>     possible choose
>     >  technology that does not require paying patent royalties.
>     >
>     >  The Internet Low Bit Rate Codec (iLBC)  work was done in AVT
but
>     it was felt
>     >  that subsequent work should not be done in the AVT working
group.
>     This new
>     >  working group will have as its primary purpose the
standardization
>     of a
>     >  multi-purpose audio codec that can be used in various
situations
>     on the
>     >  Internet. Some of the proposed Internet-specific requirements
include:
>     >  * scalable and adaptive bit rate;
>     >  * various sampling rate profiles from narrow-band to
super-wideband;
>     >  * scalable complexity;
>     >  * low latency; and
>     >  * resilience to packet loss.
>     >
>     >  There are a number of wide-band capable codecs defined by other
>     SDOs. For
>     >  instance, G.722 is seeing adoption in Enterprise applications
>     since it is
>     >  relatively simple and low-cost to deploy. However, it has a
high,
>     fixed
>     >  bitrate and is not appropriate for mobile applications where
spectrum
>     >  efficiency is important or in consumer applications where
available
>     >  bandwidth is fluctuating or limited. G.722.2 (AMR-wideband) has
>     been adopted
>     >  by the 3GPP as a wideband standard for mobile applications.
G.722.2 is
>     >  relatively high cost due to patent royalties and is seeing
minimal
>     >  deployments outside of mobile handsets making it challenging to
create
>     >  wideband experiences on Internet-capable mobile devices when
extending
>     >  beyond the mobile network. In other cases, proprietary codecs
are
>     being
>     >  adopted which further create islands with no interoperability
unless
>     >  widespread transcoding is performed. Transcoding leads to
higher
>     costs and
>     >  lower quality.
>     >
>     >  The goal of this working group is to define a single codec with
>     multiple
>     >  profiles which can be made available on a wide variety of
>     Internet-capable
>     >  devices including low-power, mobile devices as well as devices
>     capable of
>     >  utilizing high quality, high bitrate audio.
>     >
>     >  Proposed Deliverables:
>     >
>     >  1) Requirements for wideband, Internet audio codec(s).
>     >  2) Algorithm description for wideband, Internet audio codec(s)
as
>     Proposed
>     >  Standard.
>     >  3) Specification of payload format(s) for defined codecs as
Proposed
>     >  Standard
>     >
>     >  _______________________________________________
>     >  dispatch mailing list
>     >  [email-masked]
>     >  https://www.ietf.org/mailman/listinfo/dispatch
>     >
>     >  _______________________________________________
>     >  dispatch mailing list
>     >  [email-masked]
>     >  https://www.ietf.org/mailman/listinfo/dispatch
>     >
>
>     _______________________________________________
>     dispatch mailing list
>     [email-masked]
>     https://www.ietf.org/mailman/listinfo/dispatch
>

------ End of Forwarded Message

---

From: Christopher Montgomery <[email-masked]>
Date: Wed, 3 Jun 2009 22:12:48 -0400

I've been following this discussion through the archives, and it seems
time to dip a toe in. Apologies for the vaguely formal language, I'm
speaking for my organization.

I'm happy to see more IETF interest in taking up the subject of
royalty-free codecs for the Internet.  Several of our Xiph.Org members
have been quietly advocating for this within IETF for some time, and
it's nice to see the call coming from other sources as well. It's no
coincidence that the Internet's greatest success stories have all been
unencumbered.  Any new technology that rolls out with a royalty
pricetag has a steep uphill climb to do anything more than fragment
and muddy both social and business interoperability.

The Xiph.Org Foundation is a registered non-profit created toward
designing and deploying unencumered media codecs.  I'd like to
stand up and say officially that we would very much like to work with
the IETF on roaylty-free codecs.

Xiph.Org does two things: we research fundamental codec technology to
further the state of the art, then develop and deploy this research
without royalty or licensing restrictions.  We've created and made
available the Ogg container format and the Vorbis, Speex, FLAC, Theora
and CELT codecs.  Ogg-related protocols are already covered by a few
RFCs.  We exert no IP claims on our specifications and our reference
implementations are all BSD licensed.  Our codecs are a means to an
end, not an end in and of themselves.

Unfortunately, unencumbered access to basic media technology (a level
playing field) has meant reinventing and reimplementing from the
ground up. On the plus side, reinventing and reimplementing has
allowed us to use new [and rediscovered] techniques to better fit the
needs of the Internet.

...so we'd like to toss our hat into this ring and volunteer the
experience our own organization has gained in the past 15 years of
building royalty-free, unencumbered media tech from scratch. We
look forward to working with others who recognize the importance of
open and free media technology.

Monty
Xiph.Org